%define name 	libdc1394
%define version 1.2.1
%define release %mkrel 3

%define major 	12
%define libname %mklibname dc1394_ %major
%define libname_devel %mklibname dc1394_ %major -d

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		libdc1394-0.9.5-lib64.patch
Patch1:		libdc1394-1.2.1-clk_tck-deprecated.patch
URL: 		http://sourceforge.net/projects/libdc1394/
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libraw1394-devel X11-devel
Requires: 	libraw1394 kernel >= 2.4.2
Summary: 	Library for 1394 Digital Camera Specification

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname_devel}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
Provides: 	libdc1394-devel = %{version}-%{release}
Provides: 	dc1394-devel = %{version}-%{release}


%description -n %{libname_devel}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q 
%patch0 -p1 -b .lib64
%patch1 -p1 -b .clk_tck
#export WANT_AUTOCONF_2_1=1
#autoreconf
#aclocal

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
%makeinstall

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/*.so.*

%files -n %{libname_devel}
%defattr(-,root,root)
%{_bindir}/dc1394_vloopback
%{_includedir}/libdc1394
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.0
+ Revision: 120708
- Import libdc1394



* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.1
- use the right configure macro
- unpack patch
- additional devel provides

* Sat Sep 09 2006 Emmanuel Andry <eandry@mandriva.com> 1.2.1-2mdv2007.0
- disable // build

* Sat Jul 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.1-1mdv2007.0
- 1.2.1
- new major
- replace deprecated CLK_TCK with CLOCKS_PER_SEC (P1)
- remove COPYING & INSTALL from %%doc

* Tue Dec 27 2005 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-1mdk
- 1.1.0
- %%mkrel

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.0.0-2mdk
- rebuild for libraw1394

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- new major (old one incorrect btw.?)

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.5-2mdk
- lib64 fixes

* Wed Jul 14 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- fix bad char in Requires.

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4

* Sat Dec 13 2003 Austin Acton <austin@linux.ca> 0.9.2-1mdk
- 0.9.2
- make the spec pretty

* Wed Jul 30 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- add example program to the devel package
- spec fixes
- mklibname
- buildrequires
- url
- new version 

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- rebuild

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- new
